Subject: Re: bug#51758: 27.2; Backtrace put in home dir, not current dir

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 20 Sep 2022 14:22:04 +0200

Scott Otterson <[email-masked]> writes:

> When emacs crashes, I get an error popup (attached) saying that if I click NO, emacs
> will abort and put emacs_backtrace.txt in "the current directory."
>
> Clicking NO, does produce emacs_backtrace.txt (attached), but it's actually put in my
> EMACSHOME dir (the one emacs understands as "~"), not the current dir.

I guess this is from w32fns.c:

  button = MessageBox (NULL,
		       "A fatal error has occurred!\n\n"
		       "Would you like to attach a debugger?\n\n"
		       "Select:\n"
		       "YES -- to debug Emacs, or\n"
		       "NO  -- to abort Emacs and produce a backtrace\n"
		       "       (emacs_backtrace.txt in current directory)."
#if __GNUC__
		       "\n\n(type \"gdb -p <emacs-PID>\" and\n"
		       "\"continue\" inside GDB before clicking YES.)"
#endif
		       , "Emacs Abort Dialog",

Eli, should that text just be amended?  (If it always puts the backtrace
in EMACSHOME, that is -- I haven't actually cheked the code here.)